Package org.silverpeas.components.whitepages.record

## Class UserRecord

- java.lang.Object
- - org.silverpeas.components.whitepages.record.UserRecord

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.content.form.DataRecord`

      public class UserRecord
      extends Object
      implements org.silverpeas.core.contribution.content.form.DataRecord

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserRecord​(org.silverpeas.core.admin.user.model.User user)` | A UserRecord is built from a `UserDetail`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.contribution.content.form.Field` | `getField​(int fieldIndex)` |
    `org.silverpeas.core.contribution.content.form.Field` | `getField​(String fieldName)` |
    `org.silverpeas.core.contribution.content.form.Field` | `getField​(String fieldName, int occurrence)` |
    `String[]` | `getFieldNames()` |
    `org.silverpeas.core.contribution.content.form.Field[]` | `getFields()` |
    `String` | `getId()` |
    `String` | `getLanguage()` |
    `org.silverpeas.core.ResourceReference` | `getResourceReference()` |
    `org.silverpeas.core.admin.user.model.User` | `getUserDetail()` |
    `Map<String,​String>` | `getValues​(String language)` |
    `boolean` | `isConnected()` |
    `boolean` | `isNew()` |
    `void` | `setId​(String id)` |
    `void` | `setLanguage​(String language)` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserRecord

          public UserRecord​(org.silverpeas.core.admin.user.model.User user)

      A UserRecord is built from a `UserDetail`
      Parameters:
        `user` - a user in Silverpeas.

  - ### Method Detail

    - #### isConnected

          public boolean isConnected()

    - #### getUserDetail

          public org.silverpeas.core.admin.user.model.User getUserDetail()

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### setId

          public void setId​(String id)

      Specified by:
        `setId` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### getFields

          public org.silverpeas.core.contribution.content.form.Field[] getFields()

    - #### getField

          public org.silverpeas.core.contribution.content.form.Field getField​(String fieldName)
                                                                       throws org.silverpeas.core.contribution.content.form.FormException

      Specified by:
        `getField` in interface `org.silverpeas.core.contribution.content.form.DataRecord`
      Throws:
        `org.silverpeas.core.contribution.content.form.FormException`

    - #### getField

          public org.silverpeas.core.contribution.content.form.Field getField​(String fieldName,
                                                                              int occurrence)

      Specified by:
        `getField` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### getField

          public org.silverpeas.core.contribution.content.form.Field getField​(int fieldIndex)

      Specified by:
        `getField` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### size

          public int size()

      Specified by:
        `size` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### getFieldNames

          public String[] getFieldNames()

      Specified by:
        `getFieldNames` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### isNew

          public boolean isNew()

      Specified by:
        `isNew` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### getLanguage

          public String getLanguage()

      Specified by:
        `getLanguage` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### setLanguage

          public void setLanguage​(String language)

      Specified by:
        `setLanguage` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### getValues

          public Map<String,​String> getValues​(String language)

      Specified by:
        `getValues` in interface `org.silverpeas.core.contribution.content.form.DataRecord`

    - #### getResourceReference

          public org.silverpeas.core.ResourceReference getResourceReference()

      Specified by:
        `getResourceReference` in interface `org.silverpeas.core.contribution.content.form.DataRecord`